MongoDB::prevError
MongoDB::resetError
MongoDB
PHP Manual

# MongoDB::repair

Repairs and compacts this database

### Description

public array MongoDB::repair ([ bool `$preserve_cloned_files` = `FALSE` [, bool `$backup_original_files` = `FALSE` ]] )

This creates a fresh copy of all database data. It will remove any corrupt data and compact and large stretches of free space it finds. This is a very slow operation on a large database.

This is usually run from the shell or the command line, not the driver.

It is equivalent to the function:

`<?php
public function repair() {
return $this->command(array('repairDatabase' => 1));
}
?>`

### Parameters

`preserve_cloned_files`

  If cloned files should be kept if the repair fails.

`backup_original_files`

  If original files should be backed up.

### Return Values

Returns db response.

### See Also

MongoDB core docs on » repair.

### Examples

Example #1 MongoDB::repair example

This example demonstrates how to repare and compact a database.

`<?php
$db = $mongo->foo;
$response = $db->repair();
print_r($response);
?>`

The above example will output something similar to:

    Array
    (
        [ok] => 1
    )